void printstr(char *str);

void *_memcpy(void *dst, void *src, int len)
{
  int i;
  char *d = dst;
  char *s = src;
  for (i = 0; i < len; i++)
    d[i] = s[i];
  return dst;
}

int main()
{
  char *str = "abcdefghijklmno";
  char s[16];

  _memcpy(s, str, sizeof(s));
  printstr(s);

  return 0;
}
